{
  "minecraft:recipes/redstone/tnt": {
    "criteria": {
      "has_gunpowder": "2022-03-10 17:57:55 +0000"
    },
    "done": true
  },
  "appliedenergistics2:main/cable_glass": {
    "criteria": {
      "certus": "2022-03-10 18:52:18 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/granite": {
    "criteria": {
      "has_quartz": "2022-03-10 17:58:30 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/cyan_dye": {
    "criteria": {
      "has_green_dye": "2022-03-10 17:54:11 +0000"
    },
    "done": true
  },
  "minecraft:recipes/brewing/blaze_powder": {
    "criteria": {
      "has_blaze_rod": "2022-03-10 17:56:47 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_blue_dye_from_blue_orchid": {
    "criteria": {
      "has_red_flower": "2022-03-10 18:00:38 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/magenta_dye_from_lapis_ink_bonemeal": {
    "criteria": {
      "has_black_dye": "2022-03-10 17:54:10 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/observer": {
    "criteria": {
      "has_quartz": "2022-03-10 17:58:30 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/magenta_dye_from_purple_and_pink": {
    "criteria": {
      "has_purple_dye": "2022-03-10 17:54:12 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_cobblestone": {
    "criteria": {
      "has_vine": "2022-03-10 18:00:22 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/comparator": {
    "criteria": {
      "has_quartz": "2022-03-10 17:58:30 +0000"
    },
    "done": true
  },
  "rftools:specialores": {
    "criteria": {
      "find_ores": "2022-03-10 18:29:37 +0000"
    },
    "done": true
  },
  "astralsorcery:root": {
    "criteria": {
      "astralsorcery_present": "2022-03-10 17:49:07 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_blue_dye_from_lapis_bonemeal": {
    "criteria": {
      "has_lapis": "2022-03-10 17:54:12 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_gray_dye_from_white_tulip": {
    "criteria": {
      "has_red_flower": "2022-03-10 18:00:45 +0000"
    },
    "done": true
  },
  "minecraft:nether/obtain_blaze_rod": {
    "criteria": {
      "blaze_rod": "2022-03-10 17:56:47 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/quartz_block": {
    "criteria": {
      "has_quartz": "2022-03-10 17:58:30 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/magenta_dye_from_lapis_red_pink": {
    "criteria": {
      "has_red_dye": "2022-03-10 17:54:10 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/gray_dye": {
    "criteria": {
      "has_black_dye": "2022-03-10 17:54:10 +0000"
    },
    "done": true
  },
  "minecraft:recipes/brewing/cauldron": {
    "criteria": {
      "has_water_bucket": "2022-03-10 18:53:25 +0000"
    },
    "done": true
  },
  "minecraft:adventure/adventuring_time": {
    "criteria": {
      "forest": "2022-03-10 17:53:18 +0000",
      "forest_hills": "2022-03-10 17:53:01 +0000",
      "plains": "2022-03-10 17:49:08 +0000"
    },
    "done": false
  },
  "minecraft:story/lava_bucket": {
    "criteria": {
      "lava_bucket": "2022-03-10 18:53:27 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_gray_dye_from_gray_bonemeal": {
    "criteria": {
      "has_gray_dye": "2022-03-10 17:54:14 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/chest": {
    "criteria": {
      "has_lots_of_items": "2022-03-10 17:52:26 +0000"
    },
    "done": true
  },
  "minecraft:end/elytra": {
    "criteria": {
      "elytra": "2022-03-10 17:59:00 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/magenta_dye_from_allium": {
    "criteria": {
      "has_red_flower": "2022-03-10 18:00:41 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_gray_dye_from_ink_bonemeal": {
    "criteria": {
      "has_black_dye": "2022-03-10 17:54:10 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/red_dye_from_poppy": {
    "criteria": {
      "has_red_flower": "2022-03-10 18:00:13 +0000"
    },
    "done": true
  },
  "pneumaticcraft:root": {
    "criteria": {
      "explode_iron": "2022-03-10 18:31:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/brewing/fermented_spider_eye": {
    "criteria": {
      "has_spider_eye": "2022-03-10 17:57:38 +0000"
    },
    "done": true
  },
  "pneumaticcraft:unassembled_pcb": {
    "criteria": {
      "air_compressor": "2022-03-10 18:32:29 +0000"
    },
    "done": true
  },
  "minecraft:recipes/combat/arrow": {
    "criteria": {
      "has_flint": "2022-03-10 17:57:59 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/purple_dye": {
    "criteria": {
      "has_red_dye": "2022-03-10 17:54:10 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/yellow_dye_from_dandelion": {
    "criteria": {
      "has_yellow_flower": "2022-03-10 18:00:12 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/red_dye_from_tulip": {
    "criteria": {
      "has_red_flower": "2022-03-10 18:00:43 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/bowl": {
    "criteria": {
      "has_brown_mushroom": "2022-03-10 18:00:25 +0000"
    },
    "done": true
  },
  "botania:main/mana_pool_pickup": {
    "criteria": {
      "pool": "2022-03-10 18:02:26 +0000"
    },
    "done": true
  },
  "botania:main/bauble_wear": {
    "criteria": {
      "code_triggered": "2022-03-10 18:28:04 +0000"
    },
    "done": true
  },
  "appliedenergistics2:main/root": {
    "criteria": {
      "certus": "2022-03-10 18:22:19 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/diorite": {
    "criteria": {
      "has_quartz": "2022-03-10 17:58:30 +0000"
    },
    "done": true
  },
  "minecraft:recipes/tools/flint_and_steel": {
    "criteria": {
      "has_flint": "2022-03-10 17:57:59 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/orange_dye_from_orange_tulip": {
    "criteria": {
      "has_red_flower": "2022-03-10 18:00:44 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/oak_planks": {
    "criteria": {
      "has_log": "2022-03-10 18:44:34 +0000"
    },
    "done": true
  },
  "pneumaticcraft:empty_pcb": {
    "criteria": {
      "taken": "2022-03-10 18:32:15 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/pink_dye_from_red_bonemeal": {
    "criteria": {
      "has_red_dye": "2022-03-10 17:54:10 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/daylight_detector": {
    "criteria": {
      "has_quartz": "2022-03-10 17:58:30 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/purple_shulker_box": {
    "criteria": {
      "has_shulker_shell": "2022-03-10 17:58:37 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/lapis_block": {
    "criteria": {
      "has_at_least_9_lapis": "2022-03-10 17:54:12 +0000"
    },
    "done": true
  },
  "refinedstorage:storing_fluids": {
    "criteria": {
      "fluid_storage_disk_in_inventory": "2022-03-10 18:49:39 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_gray_dye_from_azure_bluet": {
    "criteria": {
      "has_red_flower": "2022-03-10 18:00:42 +0000"
    },
    "done": true
  },
  "heroesexpansion:root": {
    "criteria": {
      "tick": "2022-03-10 17:49:07 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/bone_meal_from_bone": {
    "criteria": {
      "has_bone": "2022-03-10 17:56:44 +0000"
    },
    "done": true
  },
  "minecraft:recipes/food/cookie": {
    "criteria": {
      "has_cocoa": "2022-03-10 17:54:11 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/lapis_lazuli": {
    "criteria": {
      "has_the_recipe": "2022-03-10 17:54:12 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/bone_meal_from_block": {
    "criteria": {
      "has_the_recipe": "2022-03-10 17:54:23 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_gray_dye_from_oxeye_daisy": {
    "criteria": {
      "has_red_flower": "2022-03-10 18:00:49 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/orange_dye_from_red_yellow": {
    "criteria": {
      "has_red_dye": "2022-03-10 17:54:10 +0000"
    },
    "done": true
  },
  "nuclearcraft:root": {
    "criteria": {
      "location": "2022-03-10 17:49:08 +0000"
    },
    "done": true
  },
  "refinedstorage:interface_to_the_world": {
    "criteria": {
      "interface_in_inventory": "2022-03-10 18:49:59 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/pink_dye_from_pink_tulip": {
    "criteria": {
      "has_red_flower": "2022-03-10 18:00:47 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/lime_dye": {
    "criteria": {
      "has_green_dye": "2022-03-10 17:54:11 +0000"
    },
    "done": true
  },
  "minecraft:recipes/brewing/brewing_stand": {
    "criteria": {
      "has_blaze_rod": "2022-03-10 17:56:47 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/bone_block": {
    "criteria": {
      "has_at_least_9_bonemeal": "2022-03-10 17:54:23 +0000"
    },
    "done": true
  },
  "appliedenergistics2:main/charged_quartz": {
    "criteria": {
      "certus": "2022-03-10 18:22:21 +0000"
    },
    "done": true
  },
  "lucraftcore:infinity/root": {
    "criteria": {
      "item": "2022-09-25 19:35:05 +0000"
    },
    "done": true
  }
}